Subject: Re: Compilation problem under solaris 2.5.1

From: "Andrey Umrikhin" <[email-masked]>
Date: Fri, 5 Jun 1998 12:25:14 +0400

-----Исходное сообщение-----
От: David Berard <[email-masked]>
Кому: [email-masked] <[email-masked]>
Дата: 5 июня 1998 г. 11:47
Тема: Compilation problem under solaris 2.5.1

>
> Hello,
>
>I have a compilation problem with wu-ftpd 2.4.2 beta 17 under solaris
>2.5.1 and gcc 2.8.1 :
>
>The problem is during the linking of ftpd. I obtain :
>
>gcc -I.. -I../support -L../support -o ftpd ftpd.o ftpcmd.o glob.o logwtmp.o
popen.o vers.o access.o  extensions.o  realpath.o acl.o private.o
authenticate.o conversions.o hostacc.o
 sigfix.o -lsupport -lsocket -lnsl -lgen
>Undefined                       first referenced
> symbol                             in file
>snprintf                            ftpd.o
>vsnprintf                           ftpd.o
>ld: fatal: Symbol referencing errors. No output written to ftpd
>*** Error code 1
>make: Fatal error: Command failed for target `ftpd'
>
>
>I have found 2 similar questions in the archive, but no response.
>
>Could you help me ?
>

Greeting

In support/snprintf.c

add following line

#undef    _SYS_VA_LIST_H       /* new line*/

#ifdef SOLARIS2
#ifdef    _SYS_VA_LIST_H
#define SOLARIS26
#endif
#endif

I think whis is bug, becouse Solaris 2.5 can't have snprintf in its
libraries, but Solaris 2.6 have

Andrey Umrichin,
System Administrator,
Central Telegraph, Moscow, Russia
http://www.ctel.msk.ru